%global debug_package %{nil}
%global monodir %{_libdir}
%global mlib %{_lib}
%global bootstrap 0

Summary: NAnt is a build tool for Mono and .NET
Name: nant
Version: 0.85	
Release: 34%{?dist}.dh.2
Epoch: 1
Source0: http://download.sourceforge.net/nant/%{name}-%{version}-src.tar.gz
Patch0: nant-build.patch
Patch1: nant-0.85-app.patch
Patch2: nant-core-task.patch
Patch3: nant-0.85-api.patch
Patch4: nant-0.85-system-libs-and-no-nunit1.patch
License: GPLv2+
Group: Development/Tools
Url: http://nant.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: mono-devel
%if 0%{bootstrap}
# Nothing here if we're bootstrapping
%else
BuildRequires: log4net, mono-nunit, mono-nunit22-devel
BuildRequires: mono-ndoc-devel, mono-sharpcvslib-devel
%endif
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc sparcv9 alpha s390 s390x

%description
NAnt is a free .NET build tool. In theory it is kind of like make
without make's wrinkles. In practice it's a lot like Ant.

%package docs
Summary:	Documentation package for nant
Group:	Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description docs
Documentation for nant

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .orig
sed -i -e "s/@LIBDIR@/%{mlib}/" src/NAnt.Console/App.config
sed -i -e "s|lib/|%{_lib}/|g" src/NAnt.Console/App.config
%patch0 -p1 -b .orig
%patch2 -p1 -b .orig
%patch3 -p1 -b .orig
%patch4 -p1 -b .system
sed -i -e "s/@LIB@/%{_lib}/" NAnt.build
sed -i -e "s!@BUILDROOT@!%{buildroot}/usr!" NAnt.build
find . -type d|xargs chmod 755
find . -type f|xargs chmod 644
sed -i 's/\r//' doc/license.html
sed -i 's/\r//' COPYING.txt
sed -i 's/\r//' README.txt
sed -i 's/\r//' doc/releasenotes.html

# Clean out the prebuilt files (unless we're bootstrapping)
# If we're not bootstrapping, leave the files alone:
%if 0%{bootstrap}
echo "BOOTSTRAP BUILD"
%else
echo "NORMAL BUILD, NUKING PREBUILT BUNDLED DLL FILES"
rm -rf lib/ICSharpCode.SharpCvsLib.Console.dll lib/ICSharpCode.SharpCvsLib.dll lib/scvs.exe
rm -rf lib/ICSharpCode.SharpZipLib.dll lib/NUnitCore.dll lib/log4net.dll lib/mono/1.0/*.dll lib/mono/2.0/*.dll
%endif

# Copy in the system libs, unless we're bootstrapping.
%if 0%{bootstrap}
# do nothing
%else
cp -p %{_libdir}/mono/sharpcvslib/ICSharpCode.SharpCvsLib.dll lib/
cp -p %{_libdir}/mono/sharpcvslib/cvs.exe lib/scvs.exe
cp -p %{_libdir}/mono/1.0/ICSharpCode.SharpZipLib.dll lib/
cp -p %{_libdir}/mono/log4net/log4net.dll lib/
cp -p %{_libdir}/mono/ndoc/NDoc.Core.dll lib/mono/1.0/
cp -p %{_libdir}/mono/ndoc/NDoc.Documenter.Msdn.dll lib/mono/1.0/
cp -p %{_libdir}/mono/ndoc/NDoc.ExtendedUI.dll lib/mono/1.0/
cp -p %{_libdir}/mono/1.0/nunit.core.dll lib/mono/1.0/
cp -p %{_libdir}/mono/1.0/nunit.framework.dll lib/mono/1.0/
cp -p %{_libdir}/mono/1.0/nunit.util.dll lib/mono/1.0/
cp -p %{_libdir}/mono/ndoc/NDoc.Core.dll lib/mono/2.0/
cp -p %{_libdir}/mono/ndoc/NDoc.Documenter.Msdn.dll lib/mono/2.0/
cp -p %{_libdir}/mono/ndoc/NDoc.ExtendedUI.dll lib/mono/2.0/
cp -p %{_libdir}/mono/nunit22/nunit.core.dll lib/mono/2.0/
cp -p %{_libdir}/mono/nunit22/nunit.framework.dll lib/mono/2.0/
cp -p %{_libdir}/mono/nunit22/nunit.util.dll lib/mono/2.0/
%endif

%build
export MONO_PATH=%{buildroot}/%{mlib}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
sed -i -e "s#%{buildroot}##" %{buildroot}%{_bindir}/%{name}
find examples -name \*.dll -o -name \*.exe|xargs rm -f
rm -rf %{buildroot}%{_datadir}/NAnt/doc

# Flush out the binary bits that we used to build, unless we're bootstrapping.
%if 0%{bootstrap}
# Do nothing
%else
rm -rf %{buildroot}%{_libdir}/NAnt/bin/lib
rm -rf %{buildroot}%{_libdir}/NAnt/bin/log4net.dll
rm -rf %{buildroot}%{_libdir}/NAnt/bin/scvs.exe
%endif

%clean
rm -rf %{buildroot}

%post docs
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun docs
scrollkeeper-update -q || :

%files
%defattr(-,root,root)
%doc README.txt doc/*.html COPYING.txt
%{_bindir}/nant
%{monodir}/NAnt/

%files docs
%defattr(-,root,root,-)
%doc examples/* doc/help/*

%changelog
* Thu Sep 30 2010 Dan Horák <dan[at]danny.cz> 1:0.85-34.dh.2
- rebuild for latest mono-ndoc

* Thu Feb 11 2010 Karsten Hopp <karsten@redhat.com> 1:0.85-34
- enable builds on s390(x)

* Tue Dec  1 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1:0.85-33
- disable bootstrap

* Tue Dec  1 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1:0.85-32.1
- bootstrap again

* Thu Oct 29 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1:0.85-31
- rebuild because mono-ndoc "cleverly" encodes its build date into its ABI ver

* Fri Jul 31 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-30
- clarify comments on bootstrapping

* Thu Jul 30 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-29
- unbootstrap

* Thu Jul 30 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-28.1
- bootstrap to get mono-ndoc rebuilt

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.85-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar  3 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-27
- unbootstrap

* Mon Mar  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-26.2
- fix BR to be wrapped by bootstrap

* Mon Mar  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-26.1
- bootstrap... again. *sigh*

* Mon Mar  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-26
- disable bootstrap

* Mon Mar  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-25.1
- proper conditionals for bootstrapping

* Mon Mar  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-24.1
- bootstrap hack (to recover from mass rebuild)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.85-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 23 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-23
- undo bootstrapping hack
- readd BR mono-sharpcvslib-devel (yes, it is circular, mono is a mess)

* Tue Dec 23 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-22.1
- bootstrapping hack
- don't monkey with patches, bad form

* Thu Dec 18 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1:0.85-22
- rebuild
- removed BR mono-sharpcvslib-devel (circular dep with mono-sharpcvslib)

* Fri Jun 06 2008 Caolán McNamara <caolanm@redhat.com> - 1:0.85-21
- rebuild for dependancies

* Mon Apr 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.85-20
- don't use prebuilt binary bits

* Mon Apr  7 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1:0.85-19
- Downgrade to 0.85 because of issues with boo package as discussed on
  bug #435898).  add Epoch: 1 :(
- Add nant-0.85-api.patch from David Nielsen to enable build on F-9

* Thu Mar 06 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.86-5
- bump to beta 1

* Mon Nov 12 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-17
- removed excludearch in favour of exclusivearch

* Mon Nov 12 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85.15
- removed fc5 and fc6 support
- fixed small errors in the code base

* Sun Dec 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-11
- No longer the RC release

* Sat Sep 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-10
- more hacks and slashes...

* Sat Sep 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-9
- more 64bit fixes

* Sat Sep 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-8
- scrollkeeper fixes

* Wed Sep 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-7
- FC5 and FC6 fixes (libdir)

* Wed Jul 19 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-6
- Security fix to spec file
- Other spec file fixes

* Sun Jul 09 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-5
- fixes to EOLs
- added R scrollkeeper
- changed group

* Sat Jul 08 2006 John Mahowald  <jpmahowald@gmail.com> - 0.85-4
- libdir fix

* Wed Jun 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-rc4-3
- Added docs package
- Added post and postun for docs
- Removed debuginfo package (empty)

* Sat Jun 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.85-rc4-1
- Initial import for FC Extras

